/* $Id: pstream.h,v 1.1.1.1 2001/08/26 09:47:03 aa5779 Exp $ */
#ifndef PSTREAM_H
#define PSTREAM_H

#include "interp.h"
#include "util.h"

stream *ps_open(interpreter *i, char *name, char *sname, int writeable);
void ps_close(interpreter *i, stream *s);
html_chunk *ps_read(interpreter *i, stream *s);
void ps_writestr(interpreter *i, stream *s, char *str);
void ps_writetag(interpreter *i, stream *s, html_chunk *ch);
char *ps_ioctl(interpreter *i, stream *s, char *ctlstr);
int ps_getpos(interpreter *i, stream *s);
void ps_setpos(interpreter *i, stream *s, int pos);
void ps_rewind(interpreter *i, stream *s);

#ifndef PSTREAM_IMP
extern stream_class pipe_stream_class;
#endif

#endif

